Package: org.codehaus.groovy.tools.shell

## [Groovy] Class CommandException

- org.codehaus.groovy.tools.shell.CommandException

- Thrown to indicate a problem with command execution.

  Authors:
    Jason Dillon

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandException (Command command, String msg)`
    `CommandException (Command command, String msg, Throwable cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Command` | `getCommand()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Throwable` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### CommandException(Command command, String msg)

    - #### CommandException(Command command, String msg, Throwable cause)

  - ### Method Detail

    - #### Command getCommand()